

/*--------------------------------------------------------------
# General
--------------------------------------------------------------*/

@media only screen and (min-width: 971px) {
.hide-on-desktop {
    display: none !important;
}
}

@media only screen and (max-width: 971px) {
.hide-on-mobile {
    display: none !important;
}
}



/*--------------------------------------------------------------
# Core/Button
--------------------------------------------------------------*/

.wp-block-button.has-background {
    background-size: contain !important;
    background-repeat: no-repeat;
}




/*--------------------------------------------------------------
# Core/Paragraph - Special styles
--------------------------------------------------------------*/

.is-style-label {
    font-size: var(--wp--preset--font-size--extra-small);
    text-transform: uppercase;
    letter-spacing: 3px;
    margin-bottom: 1.5em;
    font-weight: 500;
}




/*--------------------------------------------------------------
# Core/Media-text
--------------------------------------------------------------*/

.wp-block-media-text > .wp-block-media-text__content {
    padding: 0;
}

@media only screen and (min-width: 971px) {
.wp-block-media-text.has-media-on-the-right > .wp-block-media-text__content {
    padding-right: 2.2em;
}
.wp-block-media-text:not(.has-media-on-the-right) > .wp-block-media-text__content {
    padding-left: 2.2em;
}
}

@media only screen and (min-width: 971px) {
.wp-block-media-text.is-image-fill-element > figure.wp-block-media-text__media {
    position: relative;
    min-height: unset;
}
.wp-block-media-text.is-image-fill-element > figure.wp-block-media-text__media img {
    position: absolute;
}
}



/*--------------------------------------------------------------
# Core/List
--------------------------------------------------------------*/

ul.wp-block-list {
    padding-inline-start: 1em;
}



/*--------------------------------------------------------------
# Core/Image
--------------------------------------------------------------*/

[class*="is-style-icon-"] {
    width: 19px;
    height: 19px;
    display: flex;
    margin: 0;
}

figure.is-style-icon-small {
    width: 16px;
    height: 16px;
}

figure.is-style-icon-medium {
    width: 23px;
    height: 23px;
}

figure.is-style-icon-large {
    width: 27px;
    height: 27px;
}

figure.is-style-icon-extra-large {
    width: 35px;
    height: 35px;
}



/*--------------------------------------------------------------
# Core/Cover - Special styles
--------------------------------------------------------------*/

.wp-block-cover.is-style-hero {
    min-height: calc(100vh - 92px);
    position: relative;
}

.admin-bar .wp-block-cover.is-style-hero {
    min-height: calc(100vh - 124px);
}

@media only screen and (max-width: 971px) {
.wp-block-cover.is-style-hero {
    min-height: 83vh;
    padding: 50px 25px;
}
.wp-block-cover.is-style-hero .wp-block-cover__inner-container {
    min-height: calc(83vh - 100px);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.wp-block-cover.is-style-hero .wp-block-buttons {
    gap: 1em;
    margin-top: 12em;
}
.wp-block-cover.is-style-hero .wp-block-button {
    width: 100%;
}
}




/*--------------------------------------------------------------
# Core/Gallery - Special styles
--------------------------------------------------------------*/

.is-style-galeria-iconos-1 figure.wp-block-image {
    display: flex;
    align-items: center;
}

.is-style-galeria-iconos-1 figure.wp-block-image img {
    width: 152px !important;
    height: 152px !important;
}

.is-style-galeria-iconos-1 figcaption.wp-element-caption {
    background: transparent !important;
    color: inherit !important;
    text-shadow: none !important;
    padding: 0 !important;
    position: relative !important;
    font-size: var(--wp--preset--font-size--normal) !important;
    line-height: 1.2;
    font-weight: 600;
    max-width: 260px;
    margin-top: 1.9em !important;
}

.wp-block-gallery.has-nested-images.is-style-galeria-iconos-1 figure.wp-block-image figcaption.wp-element-caption {
    scrollbar-color: transparent transparent !important;
}

@media (max-width: 972px) {
.is-style-galeria-iconos-1 {
    column-gap: 0 !important;
    justify-content: center;
}
.is-style-galeria-iconos-1 figure.wp-block-image {
    width: 50% !important;
    flex-grow: 0 !important;
}
.is-style-galeria-iconos-1 figure.wp-block-image img {
    padding: 17%; 
    width: 100% !important;
    height: auto !important;
}
.is-style-galeria-iconos-1 figure.wp-block-image {
    position: relative;
}
.is-style-galeria-iconos-1 figure.wp-block-image:before {
    position: absolute;
    content: '';
    width: 83%;
    height: 2px !important;
    background-color: #ccc;
    top: 0;
    left: 8.5% !important;
}
.is-style-galeria-iconos-1 figure.wp-block-image:nth-child(1):before, .is-style-galeria-iconos-1 figure.wp-block-image:nth-child(2):before {
    display: none;
}
.is-style-galeria-iconos-1 figure.wp-block-image:nth-child(odd):not(:last-child):after {
    position: absolute;
    content: '';
    width: 1px;
    height: 70%;
    background-color: #ccc;
    top: 5%;
    right: 0;
}
.is-style-galeria-iconos-1 figcaption.wp-element-caption {
    margin-top: 0 !important;
    padding: 0 0.4em !important;
}
}



/*--------------------------------------------------------------
# Core/Accordion
--------------------------------------------------------------*/

.wp-block-accordion-item {
    margin-top: 1.8em;
    padding-top: 1.8em;
    border-top: 1px solid;
    padding-left: 1.8em;
    padding-right: 1.8em;
}

span.wp-block-accordion-heading__toggle-icon {
    position: relative;
    height: 23px;
    width: 23px;
}

span.wp-block-accordion-heading__toggle-icon:after {
    position: absolute;
    content: '';
    top: 4px;
    left: 4px;
    width: 15px;
    height: 15px;
    background-image: url('../img/arrow-gray-down.png');
    background-repeat: no-repeat;
    background-color: #fff;
}

.wp-block-accordion-item.is-open>.wp-block-accordion-heading .wp-block-accordion-heading__toggle-icon {
    transform: rotate(90deg);
}

span.wp-block-accordion-heading__toggle-title {
    font-weight: 500;
    font-size: var(--wp--preset--font-size--medium);
}

.wp-block-accordion-heading__toggle:hover .wp-block-accordion-heading__toggle-title {
    text-decoration: none;
}

.wp-block-accordion-panel {
    margin-block-start: 0.5em;
}


@media (max-width: 972px) {
.wp-block-accordion-item {
    margin-top: 1.2em;
    padding-top: 1.2em;
    border-top: 1px solid;
    padding-left: 0;
    padding-right: 0;
}
span.wp-block-accordion-heading__toggle-title {
    font-size: var(--wp--preset--font-size--normal);
    padding-right: 0.7em;
}
}







